Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 662230 - =www-client/netsurf-3.6: compile failed - undefined reference to `utf8proc_normalise'
Summary: =www-client/netsurf-3.6: compile failed - undefined reference to `utf8proc_no...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Michael Weber (RETIRED)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-07-27 06:04 UTC by zlg
Modified: 2018-10-21 20:54 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
www-client:netsurf-3.6-build.log (www-client:netsurf-3.6:20180727-054441.log.gz,21.08 KB, application/gzip)
2018-07-27 06:04 UTC, zlg
Details
environment (file_662230.txt,111.51 KB, text/plain)
2018-07-27 06:06 UTC, zlg
Details

Note You need to log in before you can comment on or make changes to this bug.
Description zlg 2018-07-27 06:04:56 UTC
Created attachment 541182 [details]
www-client:netsurf-3.6-build.log

Problem: www-client/netsurf does not compile.

Steps to Reproduce:

1. Add USE="-javascript -duktape" to www-client/netsurf.
2. Try to install.
3. Observe error message.

The first run was a normal build, exiting with multiple "bad flags" errors. Adding "-j1" to emerge options produced the log (incoming), pointing to failure in the linking stage with undefined references to utf8proc_normalise, css_computed_style_initialise, css_computed_style_create, etc.

emerge --info:

Portage 2.3.43 (python 3.6.6-final-0, default/linux/amd64/17.0/developer, gcc-7.3.0, glibc-2.27-r5, 4.15.18-gentoo x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-4.15.18-gentoo-x86_64-AMD_Phenom-tm-_II_X6_1090T_Processor-with-gentoo-2.6
KiB Mem:    16425600 total,  12508044 free
KiB Swap:    8388604 total,   8388604 free
Timestamp of repository gentoo: Sun, 22 Jul 2018 20:15:01 +0000
Head commit of repository gentoo: 1c5131e82ea9708d7c627c5aa4aae3baade70c9b
sh bash 4.4_p23
ld GNU ld (Gentoo 2.30 p3) 2.30.0
app-shells/bash:          4.4_p23::gentoo
dev-java/java-config:     2.2.0-r4::gentoo
dev-lang/perl:            5.26.2::gentoo
dev-lang/python:          2.7.15::gentoo, 3.4.8-r1::gentoo, 3.5.5-r1::gentoo, 3.6.6::gentoo, 3.7.0::gentoo
dev-util/cmake:           3.12.0::gentoo
dev-util/pkgconfig:       0.29.2::gentoo
sys-apps/baselayout:      2.6::gentoo
sys-apps/openrc:          0.38.1::gentoo
sys-apps/sandbox:         2.13::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69-r4::gentoo
sys-devel/automake:       1.11.6-r3::gentoo, 1.13.4-r2::gentoo, 1.16.1-r1::gentoo
sys-devel/binutils:       2.30-r3::gentoo
sys-devel/gcc:            7.3.0-r3::gentoo
sys-devel/gcc-config:     1.9.1::gentoo
sys-devel/libtool:        2.4.6-r5::gentoo
sys-devel/make:           4.2.1-r3::gentoo
sys-kernel/linux-headers: 4.17::gentoo (virtual/os-headers)
sys-libs/glibc:           2.27-r5::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.us.gentoo.org/gentoo-portage
    priority: -1000
    sync-rsync-extra-opts: 
    sync-rsync-verify-metamanifest: yes
    sync-rsync-verify-jobs: 1
    sync-rsync-verify-max-age: 24

zlg-overlay
    location: /home/zlg/projects/overlay
    masters: gentoo

0x4d4c
    location: /var/lib/layman/0x4d4c
    sync-type: laymansync
    sync-uri: https://github.com/0x4d4c/gentoo-overlay.git
    masters: gentoo
    priority: 50

fusion809
    location: /var/lib/layman/fusion809
    sync-type: laymansync
    sync-uri: https://github.com/fusion809/fusion809-overlay.git
    masters: gentoo
    priority: 50

gamerlay
    location: /var/lib/layman/gamerlay
    sync-type: laymansync
    sync-uri: git://anongit.gentoo.org/proj/gamerlay.git
    masters: gentoo
    priority: 50

games-overlay
    location: /var/lib/layman/games-overlay
    sync-type: laymansync
    sync-uri: https://github.com/hasufell/games-overlay.git
    masters: gentoo
    priority: 50

steam-overlay
    location: /var/lib/layman/steam-overlay
    sync-type: laymansync
    sync-uri: git://github.com/anyc/steam-overlay.git
    masters: gentoo
    priority: 50

Installed sets: @base, @cli, @desktop, @dev, @esteam, @fonts, @games, @gui
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/lib64/libreoffice/program/sofficerc /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=native -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--ask-enter-invalid --binpkg-respect-use=y"
ENV_UNSET="DBUS_SESSION_BUS_ADDRESS DISPLAY PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs collision-protect compress-build-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync multilib-strict news parallel-fetch preserve-libs protect-owned sandbox sfperms sign splitdebug strict test-fail-continue unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://mirrors.evowise.com/gentoo/ http://gentoo.gossamerhost.com http://mirror.leaseweb.com/gentoo/ http://gentoo.mirrors.tds.net/gentoo http://cosmos.illinois.edu/pub/gentoo/"
LANG="en_US.UTF-8"
LDFLAGS="-Wl,--hash-style=gnu -Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j6"
PKGDIR="/usr/portage/packages"
PORTAGE_BINHOST="file:///usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="X a52 aac acl acpi alsa amd64 bash-completion branding bzip2 cairo cdda cdr cli consolekit crypt cups cxx dbus dri dts dvd dvdr emboss encode exif fam flac fortran gdbm gif glamor gtk iconv ipv6 jpeg lcms ldap libnotify libtirpc mad mng modules mp3 mp4 mpeg multilib ncurses nls nptl ogg opengl openmp pam pango pcre pdf png policykit ppds pulseaudio qt5 readline sdl seccomp snmp spell ssl startup-notification svg tcpd tiff truetype udev unicode usb vim-syntax vorbis wxwidgets x264 xattr xcb xft xml xv xvid zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="karbon plan sheets stage words" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="3dnow 3dnowext mmx mmxext popcnt sse sse2 sse3 sse4a" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="keyboard mouse evdev joystick wacom" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-6 php7-0" POSTGRES_TARGETS="postgres9_5 postgres10" PYTHON_SINGLE_TARGET="python3_6" PYTHON_TARGETS="python2_7 python3_4 python3_5 python3_6 python3_7" RUBY_TARGETS="ruby23 ruby23 ruby24 ruby25" USERLAND="GNU" VIDEO_CARDS="nvidia" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, INSTALL_MASK, LC_ALL, LINGUAS, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

emerge -pqv '=www-client/netsurf-3.6::gentoo':

[ebuild  N    ] www-client/netsurf-3.6  USE="bmp gif gtk jpeg mng png psl rosprite svg svgtiny truetype webp -debug -duktape -fbcon -fbcon_frontend_able -fbcon_frontend_linux -fbcon_frontend_sdl -fbcon_frontend_vnc -fbcon_frontend_x -gstreamer -gtk2 -gtk3 -javascript -pdf-writer" ABI_X86="(64) -32 (-x32)"
Comment 1 zlg 2018-07-27 06:06:27 UTC
Created attachment 541184 [details]
environment
Comment 2 Virgil Dupras gentoo-dev 2018-10-20 15:38:03 UTC
I also get this error. With any combination of "javascript" and "duktape" use flags, I also get compilation errors, but others.

This particular error seems to be related to an incompatibilty with libutf8proc.

Does this mean that this package has been completely broken for 3 months?
Comment 3 Larry the Git Cow gentoo-dev 2018-10-21 20:54:08 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b5b300aad5b4c95789c941d23b528de6f7bb89e7

commit b5b300aad5b4c95789c941d23b528de6f7bb89e7
Author:     Virgil Dupras <vdupras@gentoo.org>
AuthorDate: 2018-10-21 20:46:40 +0000
Commit:     Virgil Dupras <vdupras@gentoo.org>
CommitDate: 2018-10-21 20:52:56 +0000

    www-client/netsurf: bump to 3.8
    
    I had to drop gstreamer because it depends on a vulnerable version.
    
    Closes: https://bugs.gentoo.org/636224
    Closes: https://bugs.gentoo.org/662230
    Closes: https://bugs.gentoo.org/629204
    Closes: https://bugs.gentoo.org/641846
    Signed-off-by: Virgil Dupras <vdupras@gentoo.org>
    Package-Manager: Portage-2.3.51, Repoman-2.3.11

 www-client/netsurf/Manifest                        |   2 +
 www-client/netsurf/files/netsurf-3.8-CFLAGS.patch  |  79 ++++++++++
 .../netsurf/files/netsurf-3.8-pdf-writer.patch     |  86 +++++++++++
 www-client/netsurf/netsurf-3.8.ebuild              | 163 +++++++++++++++++++++
 4 files changed, 330 insertions(+)